using System;
using System.Data;
using System.Collections.Generic;
using RMYY_CallCenter_Api.Model;
namespace RMYY_CallCenter_Api.Bll
{
    /// <summary>
    /// 客户表
    /// </summary>
    public partial class T_Cus_Customer
    {
        private readonly RMYY_CallCenter_Api.Dal.T_Cus_Customer dal = new RMYY_CallCenter_Api.Dal.T_Cus_Customer();
        public T_Cus_Customer()
        { }
        #region  BasicMethod
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int F_CustomerId)
        {
            return dal.Exists(F_CustomerId);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(RMYY_CallCenter_Api.Model.T_Cus_Customer model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(RMYY_CallCenter_Api.Model.T_Cus_Customer model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_CustomerId)
        {

            return dal.Delete(F_CustomerId);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_CustomerIdlist)
        {
            return dal.DeleteList(F_CustomerIdlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public RMYY_CallCenter_Api.Model.T_Cus_Customer GetModel(int F_CustomerId)
        {

            return dal.GetModel(F_CustomerId);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<RMYY_CallCenter_Api.Model.T_Cus_Customer> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<RMYY_CallCenter_Api.Model.T_Cus_Customer> DataTableToList(DataTable dt)
        {
            List<RMYY_CallCenter_Api.Model.T_Cus_Customer> modelList = new List<RMYY_CallCenter_Api.Model.T_Cus_Customer>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                RMYY_CallCenter_Api.Model.T_Cus_Customer model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = dal.DataRowToModel(dt.Rows[n]);
                    if (model != null)
                    {
                        modelList.Add(model);
                    }
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }

        #endregion  BasicMethod
    }
}

